Bug 405364 - Krita puts files which are opened but not added to the view into the recent documents list.
Summary: Krita puts files which are opened but not added to the view into the recent d...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-11 19:19 UTC by wolthera
Modified: 2019-03-12 10:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2019-03-11 19:19:30 UTC
SUMMARY
When opening a file from python but not adding a view, Krita still adds it to the recent documents list. A week ago this behaviour was not present. git 52ee93a

This behaviour is rather annoying when batch processing files like the comics project management tools do...
Comment 1 Tiar 2019-03-12 10:15:13 UTC
Git commit 3c0ab08dee4aae662255e39aa40b145b20b9de29 by Agata Cacko.
Committed on 12/03/2019 at 10:12.
Pushed by tymond into branch 'master'.

Fix adding files to Recent Documents

Because of typo files were added to Recent Documents
every time it wasn't needed and not added when it was
needed. This commit makes adding files to Recent Documents
consistent with the intent.

M  +1    -1    libs/ui/KisDocument.cpp

https://commits.kde.org/krita/3c0ab08dee4aae662255e39aa40b145b20b9de29